.question-card {
    position: relative;
    margin: 10px;
    aspect-ratio: 1 / 2;
    background-color: #fffec8;
    min-height: 400px;
    border-radius: 10px;
    padding: 0;
    max-width: 270px;
}

.question-card .card-container {
    position: absolute;
    top: 2%;
    left: 4%;
    width: 92%;
    height: 96%;
    border-radius: 3px;
}

.question-card .card-header {
    min-height: 8%;
}

.question-card .card-header-split {
    min-height: 2%;
    background-color: #fffec8;
}

.question-card .card-question {
    display: flex;
    height: 47%;
    flex-direction: column;
    justify-content: space-around;
}

.question-card .card-answers {
    display: flex;
    min-height: 35%;
    flex-direction: column;
    justify-content: center;
}

.question-card .score-panel {
    display: flex;
    height: 8%;
    flex-direction: row;
    justify-content: space-evenly;
}

.question-card .score-dial-group {
    cursor: pointer;
}

.score-dial.active {
    position: absolute;
}

.score-dial {
    background-image: url(../images/score-dials.png);
    background-repeat: no-repeat;
    display: block;
}

.score-dial-correct_0 {
    width: 35px;
    height: 35px;
    background-position: 0 0;
}

.score-dial-correct_0_a {
    width: 35px;
    height: 35px;
    background-position: -35px 0;
}

.score-dial-correct_1 {
    width: 35px;
    height: 35px;
    background-position: -70px 0;
}

.score-dial-correct_1_a {
    width: 35px;
    height: 35px;
    background-position: -105px 0;
}

.score-dial-correct_2 {
    width: 35px;
    height: 35px;
    background-position: -140px 0;
}

.score-dial-correct_2_a {
    width: 35px;
    height: 35px;
    background-position: -175px 0;
}

.score-dial-correct_3 {
    width: 35px;
    height: 35px;
    background-position: 0 -35px;
}

.score-dial-correct_3_a {
    width: 35px;
    height: 35px;
    background-position: -35px -35px;
}

.score-dial-correct_4 {
    width: 35px;
    height: 35px;
    background-position: -70px -35px;
}

.score-dial-correct_4_a {
    width: 35px;
    height: 35px;
    background-position: -105px -35px;
}

.score-dial-correct_5 {
    width: 35px;
    height: 35px;
    background-position: -140px -35px;
}

.score-dial-correct_5_a {
    width: 35px;
    height: 35px;
    background-position: -175px -35px;
}

.score-dial-levels_0 {
    width: 35px;
    height: 35px;
    background-position: 0 -70px;
}

.score-dial-levels_0_a {
    width: 35px;
    height: 35px;
    background-position: -35px -70px;
}

.score-dial-levels_1 {
    width: 35px;
    height: 35px;
    background-position: -70px -70px;
}

.score-dial-levels_1_a {
    width: 35px;
    height: 35px;
    background-position: -105px -70px;
}

.score-dial-levels_2 {
    width: 35px;
    height: 35px;
    background-position: -140px -70px;
}

.score-dial-levels_2_a {
    width: 35px;
    height: 35px;
    background-position: -175px -70px;
}

.score-dial-levels_3 {
    width: 35px;
    height: 35px;
    background-position: 0 -105px;
}

.score-dial-levels_3_a {
    width: 35px;
    height: 35px;
    background-position: -35px -105px;
}

.score-dial-levels_4 {
    width: 35px;
    height: 35px;
    background-position: -70px -105px;
}

.score-dial-levels_4_a {
    width: 35px;
    height: 35px;
    background-position: -105px -105px;
}

.score-dial-lives_0 {
    width: 35px;
    height: 35px;
    background-position: -140px -105px;
}

.score-dial-lives_0_a {
    width: 35px;
    height: 35px;
    background-position: -175px -105px;
}

.score-dial-lives_1 {
    width: 35px;
    height: 35px;
    background-position: 0 -140px;
}

.score-dial-lives_1_a {
    width: 35px;
    height: 35px;
    background-position: -35px -140px;
}

.score-dial-lives_2 {
    width: 35px;
    height: 35px;
    background-position: -70px -140px;
}

.score-dial-lives_2_a {
    width: 35px;
    height: 35px;
    background-position: -105px -140px;
}

.score-dial-lives_3 {
    width: 35px;
    height: 35px;
    background-position: -140px -140px;
}

.score-dial-lives_3_a {
    width: 35px;
    height: 35px;
    background-position: -175px -140px;
}

.score-dial-streak_0 {
    width: 35px;
    height: 35px;
    background-position: 0 -175px;
}

.score-dial-streak_0_a {
    width: 35px;
    height: 35px;
    background-position: -35px -175px;
}

.score-dial-streak_1 {
    width: 35px;
    height: 35px;
    background-position: -70px -175px;
}

.score-dial-streak_1_a {
    width: 35px;
    height: 35px;
    background-position: -105px -175px;
}

.score-dial-streak_2 {
    width: 35px;
    height: 35px;
    background-position: -140px -175px;
}

.score-dial-streak_2_a {
    width: 35px;
    height: 35px;
    background-position: -175px -175px;
}

.score-dial-streak_3 {
    width: 35px;
    height: 35px;
    background-position: -210px 0;
}

.score-dial-streak_3_a {
    width: 35px;
    height: 35px;
    background-position: -210px -35px;
}

.score-dial-wrong_0 {
    width: 35px;
    height: 35px;
    background-position: -210px -70px;
}

.score-dial-wrong_0_a {
    width: 35px;
    height: 35px;
    background-position: -210px -105px;
}

#score-points-total {
    font-family: AirAmericana, sans-serif;
    font-size: 25px;
    color: #fad300;
}

#score-points-total-a {
    position: absolute;
    font-family: AirAmericana, sans-serif;
    font-size: 35px;
    color: #fff;
    right: 8px;
    margin-top: -6px;
    opacity: 0;
}

#total-points-reward-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

#total-points-reward-container .total-points-arrow {
    font-size: 30px;
}

#total-points-number {
    font-family: AirAmericana, sans-serif;
    font-size: 50px;
}

#total-points-arrow-1, #total-points-arrow-2, #total-points-arrow-3 {
    opacity: 0;
}


.question-card .card-progress {
    position: absolute;
    height: 8%;
    width: 60%;
}

.question-card .card-lives {
    position: absolute;
    width: 100%;
    padding-top: 3px;
    text-align: center;
    font-size: 18px;
    color: #fffec8;
}

.question-card .card-life {
    margin-left: 2%;
    margin-right: 2%;
}

.question-card .card-question-text {
    flex-grow: 1;
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    padding: 5%;
    color: #fffec8;
}

.question-card .card-question-image {
    flex-grow: 0;
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    color: #fffec8;
}

.question-card .card-completed {
    color: white;
    font-size: 74px;
    flex-grow: 2;
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
}

.question-card .card-completed.rank-3 {
    color: #ffe447;
}

.question-card .card-completed.rank-2 {
    color: #e7e7e7;
}

.question-card .card-completed.rank-1 {
    color: #ff944a;
}

.question-card .card-completed-buttons {
    color: white;
    font-size: 5vw;
    flex-grow: 1;
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
}

.question-card .answer {
    flex-grow: 1;
    display: flex;
    margin-bottom: 3%;
    text-decoration: none;
}

.question-card .cta-buttons {
    display: flex;
    justify-content: center;
}

.question-card .cta-button {
    color: #ffffff;
    /*background-color: #fffec8;*/
    border-radius: 10%;
    font-size: 16px;
    font-family: "Air Americana", sans-serif;
    text-decoration: none;
    text-align: center;
    width: 20%;
    padding: 2%;
    margin: 3%;
}

.question-card .cta-buttons-header {
    display: flex;
    justify-content: space-between;
}

.question-card .cta-header-button {
    color: #ffffff;
    border-radius: 10%;
    font-size: 16px;
    font-family: "Air Americana", sans-serif;
    text-decoration: none;
    text-align: center;
    width: 12%;
    margin: 1.8%;
    z-index: 2;
}

.question-card .cta-button.inactive {
    color: #3c3c3c;
}
.question-card .cta-button.inactive:hover {
    cursor: default;
}

.card-text {
    font-size: 14px;
    color: #ffffff;
    border-radius: 10px;
    padding: 10px;
    text-align: left;
    margin: 1.8%;
    margin-bottom: 20px;
}

.card-buttons {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.card-button {
    width: 100%;
    color: #ffffff;
    border-radius: 5px;
    padding: 5px;
    font-size: 16px;
    font-family: "Arial", sans-serif;
    text-decoration: none;
    text-align: center;
    margin: 1.8%;
    z-index: 2;
}

.card-button-lg {
    border-radius: 10px;
    padding: 15px;
    font-size: 16px;
}

.card-button:hover {
    cursor: pointer;
    background-color: #000;
    color: #fff;
    text-decoration: none;
}

.card-button:visited {
    color: unset;
    text-decoration: none;
}

.card-button:active {
    color: unset;
    text-decoration: none;
}

@media screen and (min-width: 768px) {
    .card-buttons {
        flex-direction: row;
        justify-content: space-between;
    }
}

.answer {
    color: unset;
    text-decoration: none;
}

.answer:visited {
    color: unset;
    text-decoration: none;
}

.answer:active {
    color: unset;
    text-decoration: none;
}

.answer .answer-letter {
    font-family: AirAmericana, sans-serif;
    color: #fffec8;
    font-size: 18px;
    width: 15%;
    text-align: center;
    border-radius: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-decoration: none;
}

.answer .answer-letter:hover {
    background-color: #000;
    color: #fff;
    text-decoration: none;
}

.answer.correct .answer-letter {
    color: #6bff3b;
}

.answer.incorrect .answer-letter {
    color: #ff3b3b;
}

.answer .answer-triangle {
    background-color: #fffec8;
    width: 15%;
    border-radius:100% 0 0 100%;
}

.answer.correct .answer-triangle {
    background-color: #6bff3b;
}

.answer.incorrect .answer-triangle {
    background-color: #ff3b3b;
}

.answer .answer-text {
    font-family: Helvetica, sans-serif;
    font-weight: bold;
    background-color: #fffec8;

    font-size: 14px;
    width: 70%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.answer.correct .answer-text {
    background-color: #6bff3b;
}

.answer.incorrect .answer-text {
    background-color: #ff3b3b;
}

.gr-key-r {
    color: red;
}

.gr-key-g {
    color: green;
}

.gr-key-b {
    color: blue;
}

.gr-key-c {
    color: cyan;
}

.gr-key-m {
    color: magenta;
}

.gr-key-y {
    color: yellow;
}

.gr-key-bg {
    background-color: #121212;
}

.card-completed-key {
    cursor: pointer;
}

.gr-key-display {
    font-weight: bold;
    font-size: xx-large;
    border: solid black 10px;
    background-color: black;
    color: yellow;
}

